"""
Client-agnostic model for marshalling Spotify data types.
"""

from .album import SearchAlbum, SimplifiedAlbum
from .artist import Artist, SimplifiedArtist
from .extra import ReleaseDatePrecision
from .paging import Cursor, CursorPaging, Paging
from .playlist import PlaylistTrack, SimplifiedPlaylist
from .track import SimplifiedTrack
from .user import PrivateUser, PublicUser

__all__ = [
    "Paging",
    "PlaylistTrack",
    "PrivateUser",
    "PublicUser",
    "ReleaseDatePrecision",
    "SearchAlbum",
    "SimplifiedAlbum",
    "SimplifiedPlaylist",
    "SimplifiedTrack",
    "Track",
]
